# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class IContent.Type

    java.lang.Object
      com.google.gdata.data.IContent.Type

Enclosing interface:
  IContent

    public static class IContent.Type

extends java.lang.Object

Defines the possible content types.

Field Summary
`static int` `HTML`
`static int` `MEDIA`
`static int` `OTHER_BINARY`
`static int` `OTHER_TEXT`
`static int` `OTHER_XML`
`static int` `TEXT`
`static int` `XHTML`

Constructor Summary
`IContent.Type()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT

    public static final int TEXT

See Also:
  Constant Field Values

### HTML

    public static final int HTML

See Also:
  Constant Field Values

### XHTML

    public static final int XHTML

See Also:
  Constant Field Values

### OTHER_TEXT

    public static final int OTHER_TEXT

See Also:
  Constant Field Values

### OTHER_XML

    public static final int OTHER_XML

See Also:
  Constant Field Values

### OTHER_BINARY

    public static final int OTHER_BINARY

See Also:
  Constant Field Values

### MEDIA

    public static final int MEDIA

See Also:
  Constant Field Values

Constructor Detail

### IContent.Type

    public IContent.Type()